#include<iostream>
#include<algorithm>

using namespace std;

int nizx[20010],nizy[20010];

int main()
{
	int n;
	scanf("%d",&n);
	int ponavljax=0,ponavljay=0,falix=0,faliy=0,maxponavljax=-1,maxponavljay=-1,maxfalix=-1,maxfaliy=-1,brojfalix=0,brojfaliy=0;
	for(int i=0;i<n;i++)
	{
		int a,b;
		scanf("%d%d",&a,&b);
		nizx[a]++;
		nizy[b]++;
		if(nizx[a]>1)
		{
			maxponavljax=max(maxponavljax,a);
			ponavljax+=a;
		}
			
		if(nizy[b]>1)
		{
			maxponavljay=max(maxponavljay,b);
			ponavljay+=b;
		}
			
		
	}
	for(int i=1;i<=n;i++)
	{
		if(nizx[i]==0)
		{
			maxfalix=max(maxfalix,i);
			falix+=i;
			brojfalix++;
		}
			
		if(nizy[i]==0)
		{
			maxfaliy=max(maxfaliy,i);
			faliy+=i;
			brojfaliy++;
		}
	}
	int x=abs(falix-ponavljax);
	int y=abs(faliy-ponavljay);
	if(x==0 && falix>0)
	{
		x=abs(maxponavljax-maxfalix)*brojfalix;
	}
	if(y==0 && faliy>0)
	{
		y=abs(maxponavljay-maxfaliy)*brojfaliy;
	}
	int brojpoteza=x+y;
	
	printf("%d",brojpoteza);
}